# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'leap/version'

Gem::Specification.new do |spec|
  spec.name          = 'leap-cli'
  spec.version       = Leap::VERSION
  spec.authors       = ['General Assembly', 'Dustin Coates']
  spec.email         = ['tech@generalassemb.ly', 'dustin@dcoates.com']
  spec.description   = %q{Tools for projects inside a SOA.}
  spec.summary       = %q{A CLI for setting up, running, and making changes to project inside a SOA.}
  spec.homepage      = 'http://github.com/generalassembly/leap'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 2.1.2'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'pry', '0.10.0'
  spec.add_development_dependency 'rake', '10.3.2'
  spec.add_development_dependency 'rspec', '3.1.0'

  spec.add_dependency 'thor', '0.19.1'
end
